# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'jabysoft/rails_patterns/version'

Gem::Specification.new do |spec|
  spec.name          = "jabysoft-rails_patterns"
  spec.version       = Jabysoft::RailsPatterns::VERSION
  spec.authors       = ["Emerson Xavier"]
  spec.email         = ["msxavii@gmail.com"]

  spec.summary       = %q{RailsPatterns set of patterns}
  spec.description   = %q{RailsPatterns contains a bunch of useful classes for a great Rails project}
  spec.homepage      = "https://github.com/jabysoft/jabysoft-rails_patterns"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org/"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rails', '~> 5.0'
  spec.add_development_dependency 'rspec-rails', '~> 3.5'
  spec.add_development_dependency 'simplecov', '~> 0.12.0'
  spec.add_runtime_dependency 'codacy-coverage', '~> 1.1'
  spec.add_dependency 'devise', '~> 4.2'
end
